Subject: [eap] State machine 04 : Issue with bidirectionnal authentication and demultiplexing ?

From: [email-masked] ([email-masked])
Date: Thu, 17 Jul 2003 16:39:51 +0300

Florent Bersani wrote:

> Hi,
>=20
> I think I have an issue with the current state machine :
>=20
> When two peers simultaneously perform EAP authentications=20
> (that is to say A acts as a peer in dialog #1 with B which=20
> acts as an authenticator and, at the same time, A acts as=20
> an authenticator in dialog #2 with B which acts as
> a peer) the EAP dialogs have to get demultiplexed: this can=20
> easily be done according to the EAP code field (responses go=20
> to the authenticator and other codes - requests, success and=20
> failure - go to the peer).
>=20
> The question is : who does this demultiplexing ? Should it be=20
> the lower layer (which then would have to read and understand=20
> the EAP layer) or the EAP state machine (which then should be=20
> modified, I think) ?

I think the demultiplexing should be done by the lower layer.
The state machine doc should probably be updated to say
this, and describe how the demultiplexing is done (it=20
should work the way you proposed).

This way we don't have to unnecessarily complicate the state=20
machines with this detail (bidirectional authentication
with two conversations is anyway an obsolete feature that's=20
probably not used anywhere, right?).

Best regards,
Pasi